ArrayListTransferHandler.ArrayListTransferable
Date: 2019-10-22

org.openscience.jmol.app.webexport

## Class ArrayListTransferHandler.ArrayListTransferable

- java.lang.Object
- - org.openscience.jmol.app.webexport.ArrayListTransferHandler.ArrayListTransferable

- All Implemented Interfaces:
    java.awt.datatransfer.Transferable
  Enclosing class:
    ArrayListTransferHandler

      class ArrayListTransferHandler.ArrayListTransferable
      extends java.lang.Object
      implements java.awt.datatransfer.Transferable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javajs.util.Lst<java.lang.String>` | `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayListTransferable(javajs.util.Lst<java.lang.String> alist)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
    `java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
    `boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          javajs.util.Lst<java.lang.String> data

  - ### Constructor Detail

    - #### ArrayListTransferable

          ArrayListTransferable(javajs.util.Lst<java.lang.String> alist)

  - ### Method Detail

    - #### getTransferData

          public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                           throws java.awt.datatransfer.UnsupportedFlavorException

      Specified by:
        `getTransferData` in interface `java.awt.datatransfer.Transferable`
      Throws:
        `java.awt.datatransfer.UnsupportedFlavorException`

    - #### getTransferDataFlavors

          public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`